# Modules
import json
import re
from argparse import ArgumentParser
from urllib.request import Request, urlopen

parser = ArgumentParser()
parser.add_argument("-v", "--version", dest="ver", action='store_true')
args = parser.parse_args()

def fetch(url: str):
    req = Request(url)
    req.add_header("User-Agent", "RyujinxLatestFetch/1.0")
    return urlopen(req).read()

latest = json.loads(fetch("https://api.github.com/repos/Ryubing/Canary-Releases/releases/latest"))
if not args.ver:
    for asset in latest["assets"]:
        regex = type(re.search(r"\/(?!sdl2-.*)ryujinx-.*-linux_x64.tar.gz", asset["browser_download_url"]))
        if regex == re.Match:
            print(asset["browser_download_url"])
else:
    print(latest["tag_name"])
